Name: ovirt-engine-ui-extensions
Summary: oVirt UI Extensions
Version: 1.2.3
Release: 1%{?dist}
License: ASL 2.0
URL: http://www.ovirt.org/
Source: ovirt-engine-ui-extensions-1.2.3.tar.gz

BuildArch: noarch

# nodejs-modules embeds yarn and requires nodejs
BuildRequires: ovirt-engine-nodejs-modules >= 2.0.33-1

Requires: ovirt-engine-webadmin-portal >= 4.3
Requires: ovirt-ansible-cluster-upgrade >= 1.1.12

Obsoletes: ovirt-engine-dashboard < 1.3
Provides: ovirt-engine-dashboard = 1.3

%description
UI plugin that provides various extensions to oVirt administration UI.

Extensions include:
  - dashboard
  - VM migrate dialog
  - VM export dialog
  - VM manage GPU dialog
  - Cluster upgrade wizard

%prep

# Unpack the source:
%setup -q -n %{name}-%{version}

# Set up Node.js environment with dependencies linked to ./node_modules:
source %{_datadir}/ovirt-engine-nodejs-modules/setup-env.sh

# Build the application:
yarn build

%install

# Install the files:
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r dist/* %{buildroot}%{_datadir}/%{name}
cp -r ansible-playbooks %{buildroot}%{_datadir}/%{name}

# Ensure that Engine ui-plugins directory exists:
mkdir -p %{buildroot}%{_datadir}/ovirt-engine/ui-plugins

# Link plugin resources to Engine ui-plugins directory:
ln -s "%{_datadir}/%{name}/ui-extensions.json" "%{buildroot}%{_datadir}/ovirt-engine/ui-plugins"
ln -s "%{_datadir}/%{name}/ui-extensions-resources" "%{buildroot}%{_datadir}/ovirt-engine/ui-plugins"

# Ensure the Engine playbooks directory exists:
mkdir -p %{buildroot}%{_datadir}/ovirt-engine/ansible-runner-service-project/project

# Link plugin playbooks to Engine playbooks directory:
ln -s "%{_datadir}/%{name}/ansible-playbooks/ovirt-cluster-upgrade.yml" "%{buildroot}%{_datadir}/ovirt-engine/ansible-runner-service-project/project"

%files
%{_datadir}/%{name}
%{_datadir}/ovirt-engine/ui-plugins/ui-extensions.json
%{_datadir}/ovirt-engine/ui-plugins/ui-extensions-resources
%{_datadir}/ovirt-engine/ansible-runner-service-project/project/ovirt-cluster-upgrade.yml
%doc README.adoc
%license LICENSE

%changelog
* Fri Aug 14 2020 Sharon Gratch <sgratch@redhat.com> - 1.2.3-1
- Use em unit for sizing icons of the dashboard dialog
- Display blank card instead of N/A for cluster stats on the dashboard dialog
- Fix the cluster upgrade dialog tooltips by assuring that the container node is positioned relatively
- Add a suggestion info text for enabling affinity check when migrating a VM on Migrate VM dialog
- Update lodash dependency
- Update modal code to control order of css includes, so that branding changes remain intact when a modal is open

* Tue Jul 7 2020 Sharon Gratch <sgratch@redhat.com> - 1.2.2-1
- update jquery to 3.5.1 due to HeatMap tooltip break that caused dashboard loading failure
- fix the copy host networks functionality so that networks will be copied to single target host and not multiple hosts

* Fri Jul 3 2020 Sharon Gratch <sgratch@redhat.com> - 1.2.1-1
- Convert unit test to jest 'expect' and remove the use of `chai` assertion library
- update translations
- Update dependencies, including updating jquery to 3.5.0
- Disable buttons for non managed entities
- Add copy host networks functionality
- Fix a bug on vGPU data provider
- Add 'Display on' to vGPU dialog

* Tue May 12 2020 Sharon Gratch <sgratch@redhat.com> - 1.2.0-1
- update VM Migrate dialog to use Patternfly 4
- update the Dashboard to use Patternfly 4
- Update dependencies and drop "yarn check"
- update translations
- update i18n normalize and unit-tests, bump jest version

* Wed Mar 25 2020 Sharon Gratch <sgratch@redhat.com> - 1.1.0-1
- Added missing 'id' attribute to buttons
- Update zanata server and version
- Move dashboard sources to 'src/dashboard'
- Update install location and fix install script path of ansible playbooks
- Update STDCI configs
- Update patternfly 4 dependencies

* Tue Jan 28 2020 Sharon Gratch <sgratch@redhat.com> - 1.0.13-1
- VM export dialog:  display the error returned from the backend
- vGPU dialog: code improvements, Make vGPU table scrollable, table redesign + summary section

* Wed Jan 8 2020 Sharon Gratch <sgratch@redhat.com> - 1.0.12-1
- refactoring of VM Migrate dialog components
- fix a bug by setting discard_snapshots explictly in code

* Thu Dec 12 2019 Scott J Dickerson <sdickers@redhat.com> - 1.0.11-1
- introduce Manage vGPU dialog
- introduce Export VM dialog
- adapt to breaking change in webadmin UI plugin call contract for business entities
- enable PF4 on the project, include overrides needed to work with webadmin
- update webpack builds, add build info to chunks and entry points
- update STDCI to add distros fc30 adn el8

* Mon Sep 16 2019 Sharon Gratch <sgratch@redhat.com> - 1.0.10-1
- remove unused devDependency sinon
- add `yarn intl:report` to report on multiple i18n topics
- fix cluster upgrade dialog big margin
- fix a bug that caused cluster upgrade dialog to be closed unexpectedly before reaching the review screen

* Wed Sep 4 2019 Sharon Gratch <sgratch@redhat.com> - 1.0.9-1
- change CI version to STDCI V2
- use showModal in both ClusterUpgrade and VmMigrate modals
- update dependencies

* Tue Aug 27 2019 Sharon Gratch <sgratch@redhat.com> - 1.0.7-1
- update translations
- update dependencies (for jquery, patternfly, patternfly-react, webpack, bible etc)
- fix typo in use_maintenance_policy
- Convert karma/mocha/sinon/phantomjs to jest/jsdom for unit tests

* Tue Jun 25 2019 Sharon Gratch <sgratch@redhat.com> - 1.0.6-1
- update translations

* Tue May 21 2019 Greg Sheremeta <gshereme@redhat.com> - 1.0.5-1
- Fixed cluster upgrade execution timeout

* Fri Mar 22 2019 Greg Sheremeta <gshereme@redhat.com> - 1.0.4-1
- require ovirt-ansible-cluster-upgrade >= 1.1.12 to get engine events
- check and warn if a Cluster is in cluster_maintenance

* Mon Feb 4 2019 Greg Sheremeta <gshereme@redhat.com> - 1.0.3-1
- fix spec file to properly replace ovirt-engine-dashboard on upgrade
- update translations

* Wed Jan 9 2019 Greg Sheremeta <gshereme@redhat.com> - 1.0.2-1
- cluster upgrade wizard enhancements

* Fri Dec 14 2018 Scott J Dickerson <sdickers@redhat.com> - 1.0.1-1
- added handling for the cluster upgrade wizard ansible playbook

* Thu Jun 28 2018 Vojtech Szocs <vszocs@redhat.com> - 1.0.0-1
- created project based on ovirt-engine-dashboard master
